Subject: bug#78021: 30.1; Unclear sentence in (emacs)Matching

From: Drew Adams <[email-masked]>
Date: Fri, 25 Apr 2025 15:51:31 +0000

I don't have Eli's fix, to compare, and I can't
follow your diff wrt the text I see in Emacs 30,
so I can't tell what, in your suggested text, you
think actually responds to _this_ bug, which I
filed.

This bug is only about this existing text, which
I can't fathom (and "places" should be "place"):

  "Conversely, when you insert a closing delimiter
   over an existing one, no insertion takes places,
   and that position is simply skipped over."

(And the node-name abbreviation shouldn't just be
"Matching".  There are lots of kinds of matching
in Emacs; please don't hijack that term for this.)

If you fix this bug, then fine.  But please make
your other changes independently of this bug fix.
Or at least make very clear what part of your fix
actually corresponds to fixing this bug.  Thx.